function onCreate()
{
	var bg = new FlxSprite(-2000, -2000).makeScaledGraphic(5437, 3611, FlxColor.RED);
	addBehindGF(bg);
	bg.scrollFactor.set();
	
	var bg = new FlxSprite(-2000, -800).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg1');
	bg.scrollFactor.set(0.1, 0.1);
	addBehindGF(bg);
	
	var bg = new FlxSprite(-2000, -800).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg2');
	bg.scrollFactor.set(0.15, 0.15);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, -300).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg3');
	bg.scrollFactor.set(0.7, 0.7);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, -300).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg4');
	bg.scrollFactor.set(0.7, 0.7);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, -250).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg5');
	bg.scrollFactor.set(0.8, 0.8);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, -200).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg6');
	bg.scrollFactor.set(0.9, 0.9);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, 0).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg7');
	// bg.scrollFactor.set(0.7, 0.7);
	addBehindGF(bg);
	
	var bg = new FlxSprite(0, -200).loadFromSheet(Paths.getSparrowAtlas('bgs/zardyMaze/assets'), 'bg8');
	bg.scrollFactor.set(0.9, 0.9);
	add(bg);
	
	dadGroup.forEach(spr -> spr.scrollFactor.set(0.9, 0.9));
}
